# Miscellaneous topics that I'm too lazy to script
## Firefox with tree-style tabs
1. Go to `about:config` in Firefox and make sure all of these are enabled/true
   (as of 136, it appears the only one needed is the first):
```
toolkit.legacyUserProfileCustomizations.stylesheets
layers.acceleration.force-enabled
gfx.webrender.all
gfx.webrender.enabled
layout.css.backdrop-filter.enabled
svg.context-properties.content.enabled
```
2. Close Firefox.
3. Create the file `<firefox profile>/chrome/userChrome.css` in the Firefox
   profile directory (there may be multiple directories, one will only have one
   file called `times.json`, this is the wrong one, choose the other one):
    - Windows: `%AppData%/Mozilla/Firefox/Profiles`
    - Linux: `~/.mozilla/firefox`
```
#TabsToolbar
{
        visibility: collapse;
}
```
4. Open Firefox and confirm the top bar is gone. To enable the title bar, go to
   `Menu -> More Tools -> Customize toolbar...` and check "Title Bar" in the
   bottom-left corner.
